<?php

define('IN_API', true);
define('DISABLEXSSCHECK', true);

global $_G;
$pluginName = 'cydz_invite';
$set = $_G['cache']['plugin'][$pluginName];
require_once("lib/epay_notify.class.php");

$alipay_config = array('partner'=>$set['appID'], 'key'=>$set['appKey'], 'sign_type'=>strtoupper('MD5'), 'input_charset'=>strtolower('utf-8'), 'transport'=>'https', 'apiurl'=>'https://pay.wxcydz.cc/');
unset($_GET['id']);
$bill_no = daddslashes(trim($_GET['out_trade_no']));
$paytype = diconv(daddslashes(trim($_GET['type'])), 'UTF-8', CHARSET);

if ($bill_no) {
    $alipayNotify = new AlipayNotify($alipay_config);
    $verify_result = $alipayNotify->verifyReturn();
    $total_fee = empty($_GET['money']) ? 0 : $_GET['money'];//元
    $paytype = empty($_GET['type']) ? '' : $_GET['type'];
    $invite_query = DB::fetch_first("SELECT id,code FROM " . DB::table('common_invite') . " WHERE orderid='" . $bill_no . "'");
    if (empty($invite_query)) {

        if (isset($total_fee) && isset($paytype)){
            $bill_no = daddslashes($bill_no);
            $total_fee = daddslashes($total_fee);
            $paytype = daddslashes($paytype);

  			if($verify_result) {
                $order = DB::fetch_first("SELECT * FROM " . DB::table('cydz_invite_order') . " WHERE id = '" . $bill_no . "'");
                if (!empty($order)) {
                    $price = sprintf("%.2f", $order['fee']);
                    $total_fee = sprintf("%.2f", $total_fee);

                    if (empty($order['state'])  && $total_fee == $price) {

                        switch ($paytype) {
                            case "alipay":
                                $paytype = "支付宝";
                                break;
                            case "wxpay":
                                $paytype = "微信";
                                break;
                            case "qqpay":
                                $paytype = "QQ";
                                break;
                            case "tenpay":
                                $paytype = "财付通";
                                break;
                            default:
                                $paytype = "其他";
                        }
                        $invitecode = random(6);
                        $inviteyouxiao = $_G['timestamp'] + 10 * 86400;
                        DB::query("UPDATE " . DB::table($pluginName . '_order') . " SET paytype = '" . $paytype . "', state = 1, finish_time = '" . $_G['timestamp'] . "' ,code = '" . $invitecode . "' WHERE id = '" . $bill_no . "'", 'UNBUFFERED');
                        DB::insert('common_invite', array('uid' => 1, 'code' => $invitecode, 'inviteip' => $_G['clientip'], 'dateline' => TIMESTAMP, 'endtime' => $inviteyouxiao, 'status' => 1, 'orderid' => $bill_no));


                        if (!empty($order['email'])) {
                            $to_template = $set['emailContent'];
                            $to_template = empty($to_template) ? '{invitecode}' : $to_template;
                            $to_user = $order['email'];
                            $to_content = str_replace(array('{invitecode}'), array($invitecode), $to_template);
                            $to_subject = $set['emailSubject'];
                            $toemail = $_POST['test_to'];

                            require_once libfile('function/mail');
                            $res = sendmail($to_user, $to_subject, $to_content);
                        }

                        showmessage(lang('plugin/cydz_invite', 'zz_sus') . $invitecode, "/member.php?mod=register", array(), array('alert' => 'right','locationtime'=>true,'refreshtime'=>500,'showdialog'=>1,'showmsg'=>true));
                    }
                    elseif ($order['state'] != 0 && $total_fee = $price) {

                        showmessage(lang('plugin/cydz_invite', 'zz_sus') . $order['code'], "/member.php?mod=register", array(), array('alert' => 'right','locationtime'=>true,'refreshtime'=>500,'showdialog'=>1,'showmsg'=>true));
                    } else {
                        showmessage(lang('plugin/cydz_invite', 'total_fee_error'));
                    }


                } else {
                    showmessage(lang('plugin/cydz_invite', 'order not exit'));
                }
            }
            else
            {
                showmessage(lang('plugin/cydz_invite', 'sign_error'));
            }
        }
        else
        {
            showmessage(lang('plugin/cydz_invite', 'parameter not exit'));
        }
    } else {
        showmessage(lang('plugin/cydz_invite', 'zz_sus') . $invite_query['code'], "/member.php?mod=register", array(), array('alert' => 'right','locationtime'=>true,'refreshtime'=>500,'showdialog'=>1,'showmsg'=>true));
    }
} else {
    showmessage(lang('plugin/cydz_invite', 'parameter not exit'));
}